import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BusCouponUser } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-10-19 17:45
 */
interface BusCouponUserCU extends ConditionUtil<BusCouponUserCU> {
    ID: FieldUtil<BusCouponUserCU>;
    COUPON_INFO_ID: FieldUtil<BusCouponUserCU>;
    COUPON_CODE: FieldUtil<BusCouponUserCU>;
    USER_ID: FieldUtil<BusCouponUserCU>;
    STATUS: FieldUtil<BusCouponUserCU>;
    GET_TIME: FieldUtil<BusCouponUserCU>;
    USE_TIME: FieldUtil<BusCouponUserCU>;
    DISABLE_TIME: FieldUtil<BusCouponUserCU>;
    ATTACH: FieldUtil<BusCouponUserCU>;
    CREATE_TIME: FieldUtil<BusCouponUserCU>;
    UPDATE_TIME: FieldUtil<BusCouponUserCU>;
}
declare class BusCouponUserMU extends TableUtilImpl<BusCouponUserCU, BusCouponUser> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BusCouponUserCU;
    static get ID(): FieldUtil<BusCouponUserCU>;
    static get COUPON_INFO_ID(): FieldUtil<BusCouponUserCU>;
    static get COUPON_CODE(): FieldUtil<BusCouponUserCU>;
    static get USER_ID(): FieldUtil<BusCouponUserCU>;
    static get STATUS(): FieldUtil<BusCouponUserCU>;
    static get GET_TIME(): FieldUtil<BusCouponUserCU>;
    static get USE_TIME(): FieldUtil<BusCouponUserCU>;
    static get DISABLE_TIME(): FieldUtil<BusCouponUserCU>;
    static get ATTACH(): FieldUtil<BusCouponUserCU>;
    static get CREATE_TIME(): FieldUtil<BusCouponUserCU>;
    static get UPDATE_TIME(): FieldUtil<BusCouponUserCU>;
    get ID(): FieldUtil<BusCouponUserCU>;
    get COUPON_INFO_ID(): FieldUtil<BusCouponUserCU>;
    get COUPON_CODE(): FieldUtil<BusCouponUserCU>;
    get USER_ID(): FieldUtil<BusCouponUserCU>;
    get STATUS(): FieldUtil<BusCouponUserCU>;
    get GET_TIME(): FieldUtil<BusCouponUserCU>;
    get USE_TIME(): FieldUtil<BusCouponUserCU>;
    get DISABLE_TIME(): FieldUtil<BusCouponUserCU>;
    get ATTACH(): FieldUtil<BusCouponUserCU>;
    get CREATE_TIME(): FieldUtil<BusCouponUserCU>;
    get UPDATE_TIME(): FieldUtil<BusCouponUserCU>;
}
export { BusCouponUserMU, BusCouponUserCU };
